FreeBSD : moodle -- multiple vulnerabilities (f72d98d1-0b7e-11e7-970f-002590263bf5)

High Nessus Plugin ID 97812


The remote FreeBSD host is missing one or more security-related updates.


Marina Glancy reports :

- MSA-17-0001: System file inclusion when adding own preset file in Boost theme

- MSA-17-0002: Incorrect sanitation of attributes in forums

- MSA-17-0003: PHPMailer vulnerability in no-reply address

- MSA-17-0004: XSS in assignment submission page



Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 97812

File Name: freebsd_pkg_f72d98d10b7e11e7970f002590263bf5.nasl

Version: $Revision: 3.1 $

Type: local

Published: 2017/03/20

Modified: 2017/03/20

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P


Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:moodle29, p-cpe:/a:freebsd:freebsd:moodle30, p-cpe:/a:freebsd:freebsd:moodle31, p-cpe:/a:freebsd:freebsd:moodle32, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/03/18

Vulnerability Publication Date: 2017/01/17

Exploitable With

Metasploit (PHPMailer Sendmail Argument Injection)

Reference Information

CVE: CVE-2016-10045, CVE-2017-2576, CVE-2017-2578